import IColor from "../interfaces/iColor";
import MetricsBase from "../metricsBase";
export default class Color extends MetricsBase implements IColor {
    constructor(...values: any[]);
    protected _setSchema(): void;
    r: number;
    g: number;
    b: number;
    a: number;
    readonly isEmpty: boolean;
    readonly copy: Color;
    readonly normalized: number[];
    static readonly empty: Color;
    static readonly schema: string[];
    static getArray(...args: number[]): number[];
    static readonly random: Color;
    static normalize(color: number[]): number[];
    static rgbToHexBase(r: number, g: number, b: number): string;
    static rgbToHex(r: number, g: number, b: number): string;
    static rgbToHexNumber(r: number, g: number, b: number): number;
    static isValidHexString(value: string): boolean;
    static hexToRgb(colorHexIn: string): number[];
    static hsbToRgb(hue: number, saturation: number, brightness: number, isNormalize?: boolean): number[];
    static rgbToHsb(r: number, g: number, b: number, isInputNormalized?: boolean): number[];
    static adjustWhiteBalance(color: number[], whiteBalance: number[], isNormalize?: boolean): number[];
    static toYIQ(color: number[]): number;
    static isDark(color: (string | number[])): boolean;
    static isNearMatch(colorA: number[], colorB: number[], rangeAllowed: number): boolean;
    static difference(colorA: number[], colorB: number[]): number[];
    static blend(colorFront: number[], colorBack: number[], alpha: number): number[];
    static getContrastingColor(backgroundColor: number[], valueDifference?: number, isPreferLighter?: boolean): number[];
    static getHighContrastColor(backgroundColor: number[]): number[];
}
